## org.eclipse.emf.ecore.change
Interface FeatureMapEntry

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  FeatureMapEntryImpl

    public interface FeatureMapEntry

extends EObject

A representation of the model object 'Feature Map Entry'.

The following features are supported:

- `Feature Name`
- `Data Value`
- `Value`
- `Feature`
- `Reference Value`

See Also:
  `ChangePackage.getFeatureMapEntry()`

Method Summary
`java.lang.String` `getDataValue()` Returns the value of the 'Data Value' attribute
`EStructuralFeature` `getFeature()` Returns the value of the 'Feature' reference
`java.lang.String` `getFeatureName()` Returns the value of the 'Feature Name' attribute
`EObject` `getReferenceValue()` Returns the value of the 'Reference Value' reference
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute
`boolean` `isSetFeature()` Returns whether the value of the '`Feature`' reference is set
`boolean` `isSetFeatureName()` Returns whether the value of the '`Feature Name`' attribute is set
`void` `setDataValue(java.lang.String value)` Sets the value of the '`Data Value`' attribute
`void` `setFeature(EStructuralFeature value)` Sets the value of the '`Feature`' reference
`void` `setFeatureName(java.lang.String value)` Sets the value of the '`Feature Name`' attribute
`void` `setReferenceValue(EObject value)` Sets the value of the '`Reference Value`' reference
`void` `unsetFeature()` Unsets the value of the '`Feature`' reference
`void` `unsetFeatureName()` Unsets the value of the '`Feature Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeatureName

    java.lang.String getFeatureName()

  Returns the value of the 'Feature Name' attribute.

  Returns:
    the value of the 'Feature Name' attribute.
  See Also:
    `isSetFeatureName()`, `unsetFeatureName()`, `setFeatureName(String)`, `ChangePackage.getFeatureMapEntry_FeatureName()`

### setFeatureName

    void setFeatureName(java.lang.String value)

  Sets the value of the '`Feature Name`' attribute.

  Parameters:
    `value` - the new value of the 'Feature Name' attribute.
  See Also:
    `isSetFeatureName()`, `unsetFeatureName()`, `getFeatureName()`

### unsetFeatureName

    void unsetFeatureName()

  Unsets the value of the '`Feature Name`' attribute.

  See Also:
    `isSetFeatureName()`, `getFeatureName()`, `setFeatureName(String)`

### isSetFeatureName

    boolean isSetFeatureName()

  Returns whether the value of the '`Feature Name`' attribute is set.

  Returns:
    whether the value of the 'Feature Name' attribute is set.
  See Also:
    `unsetFeatureName()`, `getFeatureName()`, `setFeatureName(String)`

### getDataValue

    java.lang.String getDataValue()

  Returns the value of the 'Data Value' attribute.

  Returns:
    the value of the 'Data Value' attribute.
  See Also:
    `setDataValue(String)`, `ChangePackage.getFeatureMapEntry_DataValue()`

### setDataValue

    void setDataValue(java.lang.String value)

  Sets the value of the '`Data Value`' attribute.

  Parameters:
    `value` - the new value of the 'Data Value' attribute.
  See Also:
    `getDataValue()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ChangePackage.getFeatureMapEntry_Value()`

### getFeature

    EStructuralFeature getFeature()

  Returns the value of the 'Feature' reference.

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `isSetFeature()`, `unsetFeature()`, `setFeature(EStructuralFeature)`, `ChangePackage.getFeatureMapEntry_Feature()`

### setFeature

    void setFeature(EStructuralFeature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `isSetFeature()`, `unsetFeature()`, `getFeature()`

### unsetFeature

    void unsetFeature()

  Unsets the value of the '`Feature`' reference.

  See Also:
    `isSetFeature()`, `getFeature()`, `setFeature(EStructuralFeature)`

### isSetFeature

    boolean isSetFeature()

  Returns whether the value of the '`Feature`' reference is set.

  Returns:
    whether the value of the 'Feature' reference is set.
  See Also:
    `unsetFeature()`, `getFeature()`, `setFeature(EStructuralFeature)`

### getReferenceValue

    EObject getReferenceValue()

  Returns the value of the 'Reference Value' reference.

  Returns:
    the value of the 'Reference Value' reference.
  See Also:
    `setReferenceValue(EObject)`, `ChangePackage.getFeatureMapEntry_ReferenceValue()`

### setReferenceValue

    void setReferenceValue(EObject value)

  Sets the value of the '`Reference Value`' reference.

  Parameters:
    `value` - the new value of the 'Reference Value' reference.
  See Also:
    `getReferenceValue()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.